Index: FOIAVistA/tag/r/CONSULT_REQUEST_TRACKING-GMRC-GMRS-GMRT/GMRCSTL8.m
===================================================================
--- FOIAVistA/trunk/r/CONSULT_REQUEST_TRACKING-GMRC-GMRS-GMRT/GMRCSTL8.m	(revision 631)
+++ FOIAVistA/tag/r/CONSULT_REQUEST_TRACKING-GMRC-GMRS-GMRT/GMRCSTL8.m	(revision 636)
@@ -1,194 +1,113 @@
-GMRCSTL8 ;SLC/JFR/WAT - Totals format for CPM ; 4/05/05 10:39
- ;;3.0;CONSULT/REQUEST TRACKING;**41,60**;DEC 27, 1997;Build 9
- ; This routine invokes ICRs
- ; 875 (file 100.01), 2638 (file 100.01),10104 (XLFSTR),10103 (XLFDT),3744 (VADPT)
+GMRCSTL8 ;SLC/JFR - Totals format for CPM ; 4/05/05 10:39
+ ;;3.0;CONSULT/REQUEST TRACKING;**41**;DEC 27, 1997
+ ; This routine invokes IA #875, #2638
+ ; This routine invokes IA #10035,#44, #10040
  ;
  ; portions copied from GMRCSTL1 & GMRCSTL2
+ ;
  Q  ; can't start here
+ ;
 PRTTOT(GEN,INDEX,NAME,ARRN) ; totals for printed report
- N QUIT S QUIT=0 D NOACTVT Q:QUIT=1
- N GMRCPCT,LAYOUT,FRMT,ROWTEXT,CALC1,CALC2,CALC3,ROWTXT
- N COUNT,SVCUSG
+ N COUNT
  S COUNT=$O(^TMP("GMRCR",$J,ARRN," "),-1)
  I GEN=2 D
- .S COUNT=COUNT+1,^TMP("GMRCR",$J,ARRN,COUNT,0)=""
- .S SVCUSG=$P(^GMR(123.5,INDEX,0),U,2) I $G(SVCUSG) S NAME=NAME_$S(SVCUSG=1:" <grouper only>",SVCUSG=2:"   <disabled>",1:"")
- .S COUNT=COUNT+1,^TMP("GMRCR",$J,ARRN,COUNT,0)="     GROUPER: "_NAME_" Totals:"
- .S COUNT=COUNT+1,^TMP("GMRCR",$J,ARRN,COUNT,0)=$J("WITHIN     IFC     IFC",75)
- .S COUNT=COUNT+1,^TMP("GMRCR",$J,ARRN,COUNT,0)=$J("FACILITY   SENT    REC'D",77)
+ . S COUNT=COUNT+1
+ . S ^TMP("GMRCR",$J,ARRN,COUNT,0)=""
+ . S COUNT=COUNT+1
+ . S ^TMP("GMRCR",$J,ARRN,COUNT,0)="     GROUPER: "_NAME_" Totals:"
  I GEN=1 D
- .S COUNT=COUNT+1,^TMP("GMRCR",$J,ARRN,COUNT,0)=" "
- .I $P(^GMR(123.5,INDEX,0),U,2)=9 S NAME=NAME_"   <disabled>"
- .S COUNT=COUNT+1,^TMP("GMRCR",$J,ARRN,COUNT,0)="SERVICE: "_NAME
- .S COUNT=COUNT+1,^TMP("GMRCR",$J,ARRN,COUNT,0)=$J("WITHIN     IFC      IFC",76)
- .S COUNT=COUNT+1,^TMP("GMRCR",$J,ARRN,COUNT,0)=$J("FACILITY   SENT     REC'D",78)
- .S ROWTXT=$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U),8)_$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,7),10)_$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,13),9)
- .S COUNT=COUNT+1,^TMP("GMRCR",$J,ARRN,COUNT,0)="All Requests in 30 Days Before Start/End of Qtr:"_ROWTXT
- .S ROWTXT=$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,2),8)_$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,8),10)_$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,14),9)
- .S COUNT=COUNT+1,^TMP("GMRCR",$J,ARRN,COUNT,0)="All Requests in 60 Days Before Start/End of Qtr:"_ROWTXT
- I GEN=2 D
- .S ROWTXT=$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U),8)_$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,7),10)_$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,13),9)
- .S COUNT=COUNT+1,^TMP("GMRCR",$J,ARRN,COUNT,0)="All Requests in 30 Days Before Start/End of Qtr:"_ROWTXT
- .S ROWTXT=$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,2),8)_$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,8),10)_$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,14),9)
- .S COUNT=COUNT+1,^TMP("GMRCR",$J,ARRN,COUNT,0)="All Requests in 60 Days Before Start/End of Qtr:"_ROWTXT
- I GEN=1!(GEN=2) D
- .S ROWTXT=$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,3),12)_$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,9),10)_$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,15),9)
- .S COUNT=COUNT+1,^TMP("GMRCR",$J,ARRN,COUNT,0)="Complete with Results in 30 Days of Request:"_ROWTXT
- .S ROWTXT=$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,4),12)_$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,10),10)_$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,16),9)
- .S COUNT=COUNT+1,^TMP("GMRCR",$J,ARRN,COUNT,0)="Complete with Results 31-60 Days of Request:"_ROWTXT
- .S ROWTXT=$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,5),10)_$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,11),10)_$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,17),9)
- .S COUNT=COUNT+1,^TMP("GMRCR",$J,ARRN,COUNT,0)="All Requests Created 60 Days Before Qtr Start:"_ROWTXT
- .S ROWTXT=$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,6),10)_$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,12),10)_$J($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,18),9)
- .S COUNT=COUNT+1,^TMP("GMRCR",$J,ARRN,COUNT,0)="All Requests Pending 60 Days Before Qtr Start:"_ROWTXT
- .;% complete in 30 days of request
- .I $P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U)>0 S CALC1=$J(($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,3)/$P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U))*100,2,2)_"%"
- .S ROWTXT=$S($G(CALC1)="":$$REPEAT^XLFSTR(" ",10-$L("N / A"))_"N / A",1:$$REPEAT^XLFSTR(" ",10-$L(CALC1))_CALC1)
- .I $P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,7)>0 S CALC2=$J(($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,9)/$P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,7))*100,2,2)_"%"
- .S ROWTXT=ROWTXT_$S('$D(CALC2):$$REPEAT^XLFSTR(" ",10-$L("N / A"))_"N / A",1:$$REPEAT^XLFSTR(" ",10-$L(CALC2))_CALC2)
- .I $P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,13)>0 S CALC3=$J(($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,15)/$P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,13))*100,2,2)_"%"
- .S ROWTXT=ROWTXT_$S($G(CALC3)="":$$REPEAT^XLFSTR(" ",9-$L("N / A"))_"N / A",1:$$REPEAT^XLFSTR(" ",9-$L(CALC3))_CALC3)
- .S COUNT=COUNT+1
- .S ^TMP("GMRCR",$J,ARRN,COUNT,0)="Percent Complete w/Results in 30 Days of Request: "_ROWTXT
- .;% complete in 60 days of request
- .K CALC1,CALC2,CALC3
- .I $P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,2)>0 S CALC1=$J(($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,4)/$P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,2))*100,2,2)_"%"
- .S ROWTXT=$S($G(CALC1)="":$$REPEAT^XLFSTR(" ",10-$L("N / A"))_"N / A",1:$$REPEAT^XLFSTR(" ",10-$L(CALC1))_CALC1)
- .I $P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,8)>0 S CALC2=$J(($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,10)/$P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,8))*100,2,2)_"%"
- .S ROWTXT=ROWTXT_$S('$D(CALC2):$$REPEAT^XLFSTR(" ",10-$L("N / A"))_"N / A",1:$$REPEAT^XLFSTR(" ",10-$L(CALC2))_CALC2)
- .I $P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,14)>0 S CALC3=$J(($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,16)/$P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,14))*100,2,2)_"%"
- .S ROWTXT=ROWTXT_$S($G(CALC3)="":$$REPEAT^XLFSTR(" ",9-$L("N / A"))_"N / A",1:$$REPEAT^XLFSTR(" ",9-$L(CALC3))_CALC3)
- .S COUNT=COUNT+1
- .S ^TMP("GMRCR",$J,ARRN,COUNT,0)="Percent Complete w/Results 31-60 Days of Request: "_ROWTXT
- .;% pending before quarter start
- .K CALC1,CALC2,CALC3
- .I $P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,5)>0 S CALC1=$J(($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,6)/$P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,5))*100,2,2)_"%"
- .S ROWTXT=$S($G(CALC1)="":$$REPEAT^XLFSTR(" ",10-$L("N / A"))_"N / A",1:$$REPEAT^XLFSTR(" ",10-$L(CALC1))_CALC1)
- .I $P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,11)>0 S CALC2=$J(($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,12)/$P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,11))*100,2,2)_"%"
- .S ROWTXT=ROWTXT_$S('$D(CALC2):$$REPEAT^XLFSTR(" ",10-$L("N / A"))_"N / A",1:$$REPEAT^XLFSTR(" ",10-$L(CALC2))_CALC2)
- .I $P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,17)>0 S CALC3=$J(($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,18)/$P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,17))*100,2,2)_"%"
- .S ROWTXT=ROWTXT_$S($G(CALC3)="":$$REPEAT^XLFSTR(" ",9-$L("N / A"))_"N / A",1:$$REPEAT^XLFSTR(" ",9-$L(CALC3))_CALC3)
- .S COUNT=COUNT+1
- .S ^TMP("GMRCR",$J,ARRN,COUNT,0)="Percent Still Pending Created Before Qtr Start:   "_ROWTXT
+ . I ^TMP("GMRCTOT",$J,1,INDEX,"T")=0 D  Q  ;collect zero servs for summ
+ .. Q:$P(^GMR(123.5,INDEX,0),U,2)=1
+ .. S ^TMP("GMRCTOT",$J,0,NAME)=""
+ . S COUNT=COUNT+1
+ . S ^TMP("GMRCR",$J,ARRN,COUNT,0)=" "
+ . S COUNT=COUNT+1
+ . S ^TMP("GMRCR",$J,ARRN,COUNT,0)="SERVICE: "_NAME
+ . S COUNT=COUNT+1
+ . S ^TMP("GMRCR",$J,ARRN,COUNT,0)="Total Requests To Service:"_$J(^TMP("GMRCTOT",$J,1,INDEX,"T"),30,0)
+ I GEN=2,^TMP("GMRCTOT",$J,2,INDEX,"T")>0 D
+ . S COUNT=COUNT+1
+ . S ^TMP("GMRCR",$J,ARRN,COUNT,0)="Total Requests To Grouper:"_$J(^TMP("GMRCTOT",$J,2,INDEX,"T"),30,0)
+ I $G(^TMP("GMRCTOT",$J,GEN,INDEX,"T"))>0 D
+ . S COUNT=COUNT+1
+ . S ^TMP("GMRCR",$J,ARRN,COUNT,0)="Total Requests Pending Resolution: "_$J(^TMP("GMRCTOT",$J,GEN,INDEX,"P"),21,0)
+ . S COUNT=COUNT+1
+ . S ^TMP("GMRCR",$J,ARRN,COUNT,0)="Total Requests completed: "_$J(^TMP("GMRCTOT",$J,GEN,INDEX,"C"),30,0)
+ . S COUNT=COUNT+1
+ . S ^TMP("GMRCR",$J,ARRN,COUNT,0)="Total Requests completed with Results: "_$J(^TMP("GMRCTOT",$J,GEN,INDEX,"R"),17,0)
+ . N GMRCPCT
+ . I ^TMP("GMRCTOT",$J,GEN,INDEX,"T")=0 S GMRCPCT="N/A"
+ . I '$D(GMRCPCT) S GMRCPCT=(^TMP("GMRCTOT",$J,GEN,INDEX,"C")/^TMP("GMRCTOT",$J,GEN,INDEX,"T"))*100
+ . S COUNT=COUNT+1
+ . S ^TMP("GMRCR",$J,ARRN,COUNT,0)="Percentage of total requests completed: "_$S(+GMRCPCT'=GMRCPCT:$J(GMRCPCT,16),1:($J(GMRCPCT,19,2)_"%"))
+ . K GMRCPCT
+ . I ^TMP("GMRCTOT",$J,GEN,INDEX,"C")=0 S GMRCPCT="N/A"
+ . I '$D(GMRCPCT) S GMRCPCT=(^TMP("GMRCTOT",$J,GEN,INDEX,"R")/^TMP("GMRCTOT",$J,GEN,INDEX,"C"))*100
+ . S COUNT=COUNT+1
+ . S ^TMP("GMRCR",$J,ARRN,COUNT,0)="Percentage of total completed requests with results: "_$S(+GMRCPCT'=GMRCPCT:GMRCPCT,1:($J(GMRCPCT,6,2)_"%"))
  Q
+ ;
 DELTOT(GEN,INDEX,NAME,ARRN) ; format for delimited
- N QUIT S QUIT=0 D NOACTVT Q:QUIT=1
- N STRING,COUNT,PIECE,INCR,SVCUSG
- S SVCUSG=$P(^GMR(123.5,INDEX,0),U,2) I $G(SVCUSG) S NAME=NAME_$S(SVCUSG=1:" <grouper only>",SVCUSG=2:" <disabled>",1:"")
- S COUNT=$O(^TMP("GMRCR",$J,ARRN," "),-1),STRING=$S(GEN=2:"GROUPER: ",1:"")_NAME_";"
- F PIECE=1:1:18 D
- .S STRING=STRING_$P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,PIECE)_";"
- .I PIECE=6!(PIECE=12)!(PIECE=18) D
- ..S INCR=$S(PIECE=6:0,PIECE=12:6,1:12)
- ..;percents
- ..I $P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,(1+INCR))=0 S STRING=STRING_"N/A;"
- ..E  S GMRCPCT=($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,(3+INCR))/$P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,(1+INCR)))*100,STRING=STRING_$J(GMRCPCT,0,2)_";"
- ..I $P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,(2+INCR))=0 S STRING=STRING_"N/A;"
- ..E  S GMRCPCT=($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,(4+INCR))/$P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,(2+INCR)))*100,STRING=STRING_$J(GMRCPCT,0,2)_";"
- ..I $P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,(5+INCR))=0 S STRING=STRING_"N/A;"
- ..E  S GMRCPCT=($P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,(6+INCR))/$P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,(5+INCR)))*100,STRING=STRING_$J(GMRCPCT,0,2)_";"
- S COUNT=COUNT+1,^TMP("GMRCR",$J,ARRN,COUNT,0)=STRING
+ ;
+ I ^TMP("GMRCTOT",$J,GEN,INDEX,"T")=0 Q
+ N STRING,COUNT
+ S COUNT=$O(^TMP("GMRCR",$J,ARRN," "),-1)
+ S STRING=$S(GEN=2:"GROUPER: ",1:"")_NAME_";"
+ S STRING=STRING_^TMP("GMRCTOT",$J,GEN,INDEX,"T")_";"
+ S STRING=STRING_^TMP("GMRCTOT",$J,GEN,INDEX,"P")_";"
+ S STRING=STRING_^TMP("GMRCTOT",$J,GEN,INDEX,"C")_";"
+ S STRING=STRING_^TMP("GMRCTOT",$J,GEN,INDEX,"R")_";"
+ D  ;get % completed
+ . N GMRCPCT
+ . S GMRCPCT=(^TMP("GMRCTOT",$J,GEN,INDEX,"C")/^TMP("GMRCTOT",$J,GEN,INDEX,"T"))*100
+ . S STRING=STRING_$J(GMRCPCT,0,2)_";"
+ . Q
+ D  ; get % completed w/results
+ . I ^TMP("GMRCTOT",$J,GEN,INDEX,"C")=0 S STRING=STRING_"N/A;" Q
+ . N GMRCPCT
+ . S GMRCPCT=(^TMP("GMRCTOT",$J,GEN,INDEX,"R")/^TMP("GMRCTOT",$J,GEN,INDEX,"C"))*100
+ . S STRING=STRING_$J(GMRCPCT,0,2)
+ . Q
+ S COUNT=COUNT+1
+ S ^TMP("GMRCR",$J,ARRN,COUNT,0)=STRING
  Q
-NOACTVT ;services with no activity for the reporting period
- N CONT,PIECE S CONT=1
- I GEN=1&($P(^GMR(123.5,INDEX,0),U,2)=1) S QUIT=1 Q  ;;don't add to list if service is a grouper only...
- F PIECE=1:1:18 D  Q:CONT=0
- .I $P(^TMP("GMRCT",$J,GEN,INDEX,"DATA"),U,PIECE)>0 S CONT=0 Q
- S:CONT=1 ^TMP("GMRCT",$J,0,NAME)="",QUIT=1
- Q
-ONESTAT(ARRN,SVCN,STAT,DT1,DT2,STR) ;Process one status
- ;Input -- ARRN  "CP"  - to be printed  or "DEL" - in delimited format
- ;SVCN = node in ^TMP("GMRCLIST,$J..STAT = status being worked on..DT1 = starting date..DT2 = ending date
- ;STR = string value used to store 30/60 day results in correct piece of ^tmp arrays
- ;Output - None
- N GMRCPT,GMRCXDT,TEMP,GMRCSVC,GMRCSVCG,GMRCSVCP,GMRCQT,FLG,TYPE
+ ;
+ONESTAT(ARRN,SVCN,STAT,DT1,DT2) ;Process one status
+ ; Input -- ARRN  "CP"  - to be printed 
+ ;                "DEL" - in delimited format
+ ;          SVCN = node in ^TMP("GMRCLIST,$J
+ ;          STAT = status being worked on
+ ;          DT1 = starting date
+ ;          DT2 = ending date
+ ;
+ ; Output - None
+ ;
+ N GMRCPT,GMRCXDT,TEMP,GMRCSVC,GMRCSVCG,GMRCSVCP
  S GMRCSVC=$P(^TMP("GMRCSLIST",$J,SVCN),"^",1)
  S GMRCSVCP=$P(^TMP("GMRCSLIST",$J,SVCN),"^",2)
  S GMRCSVCG=$P(^TMP("GMRCSLIST",$J,SVCN),"^",3)
- S GMRCXDT=9999999-DT2-.6  ;start searching the global at a date a fraction newer than DT2 (the end date for this search)
+ S GMRCXDT=$S(DT1="ALL":0,1:9999999-DT2-.6)
  F  S GMRCXDT=$O(^GMR(123,"AE",GMRCSVC,STAT,GMRCXDT)) Q:GMRCXDT=""!(GMRCXDT>(9999999-DT1))  D
  .S GMRCPT=0
  .;Loop for one consult at a time
- .F  S GMRCPT=$O(^GMR(123,"AE",GMRCSVC,STAT,GMRCXDT,GMRCPT)) Q:GMRCPT=""  D 
- ..S FLG=0 D EXCLUDE Q:$G(FLG)=1
- ..S TYPE="" D REQTYPE
- ..I TYPE="LOCAL" D  ;set totals for 30 and 60 day range
- ...S:STR="30" $P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U)=$P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U)+1
- ...S:STR="60" $P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,2)=$P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,2)+1
- ...I STAT=2 D
- ....Q:'$O(^GMR(123,+$G(GMRCPT),50,0))  ;Q if no results
- ....D CHKRNG
- ..I TYPE="IFCP" D
- ...S:STR="30" $P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,7)=$P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,7)+1
- ...S:STR="60" $P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,8)=$P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,8)+1
- ...D:STAT=2 CHKRNG
- ..I TYPE="IFCF" D
- ...S:STR="30" $P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,13)=$P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,13)+1
- ...S:STR="60" $P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,14)=$P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,14)+1
- ...D:STAT=2 CHKRNG
+ .F  S GMRCPT=$O(^GMR(123,"AE",GMRCSVC,STAT,GMRCXDT,GMRCPT)) Q:GMRCPT=""  D
+ .. N PROS
+ ..; Check for bad "AE" x-ref
+ ..I '$D(^GMR(123,GMRCPT,0)) D  Q
+ ...K ^GMR(123,"AE",GMRCSVC,STAT,GMRCXDT,GMRCPT)
+ .. I $$TESTPAT^VADPT(+$P(^GMR(123,GMRCPT,0),U,2)) Q  ; exclude test pats
+ .. D  I $G(PROS) Q
+ ... N SVC S SVC=$P(^GMR(123,GMRCPT,0),U,5)
+ ... I +$G(^GMR(123.5,SVC,"INT")) S PROS=1 ; exclude PROS consults
+ .. I $P($G(^GMR(123,GMRCPT,12)),U,5)="P" Q  ; exclude IFC placer
+ ..; Add to totals
+ ..; for all status for this service
+ ..S ^TMP("GMRCTOT",$J,1,GMRCSVC,"T")=^TMP("GMRCTOT",$J,1,GMRCSVC,"T")+1
+ ..;  pending for this service
+ ..S:",3,4,5,6,8,9,11,99,"[(","_STAT_",") ^TMP("GMRCTOT",$J,1,GMRCSVC,"P")=^TMP("GMRCTOT",$J,1,GMRCSVC,"P")+1
+ .. I STAT=2 D
+ ... S ^TMP("GMRCTOT",$J,1,GMRCSVC,"C")=+$G(^TMP("GMRCTOT",$J,1,GMRCSVC,"C"))+1
+ ... Q:'$O(^GMR(123,+$G(GMRCPT),50,0))  ; Q if no results
+ ... S ^TMP("GMRCTOT",$J,1,GMRCSVC,"R")=+$G(^TMP("GMRCTOT",$J,1,GMRCSVC,"R"))+1
  Q
  ;
-ONESTAT2(ARRN,SVCN,STAT,DT1) ;all statuses, all requests, before quarter start
- ;Input -- ARRN  "CP"  - to be printed or "DEL" - in delimited format
- ;SVCN = node in ^TMP("GMRCLIST,$J..STAT = status being worked on..DT1 = 60 days before starting date of current quarter
- ;Output -- None
- N GMRCPT,GMRCXDT,TEMP,GMRCSVC,GMRCSVCG,GMRCSVCP,FLG,TYPE
- S GMRCSVC=$P(^TMP("GMRCSLIST",$J,SVCN),"^",1)
- S GMRCSVCP=$P(^TMP("GMRCSLIST",$J,SVCN),"^",2)
- S GMRCSVCG=$P(^TMP("GMRCSLIST",$J,SVCN),"^",3)
- S GMRCXDT=""
- F  S GMRCXDT=$O(^GMR(123,"AE",GMRCSVC,STAT,GMRCXDT)) Q:GMRCXDT=""  D
- .S GMRCPT=0
- .;Loop for one consult at a time
- .F  S GMRCPT=$O(^GMR(123,"AE",GMRCSVC,STAT,GMRCXDT,GMRCPT)) Q:GMRCPT=""  D
- ..Q:GMRCXDT<(9999999-DT1-.6)  ;
- ..S FLG=0 D EXCLUDE Q:$G(FLG)=1
- ..S TYPE="" D REQTYPE
- ..I TYPE="LOCAL" D
- ...S $P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,5)=$P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,5)+1
- ...; get unresolved requests for the period
- ...S:",3,4,5,6,8,9,11,99,"[(","_STAT_",") $P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,6)=$P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,6)+1
- ..I TYPE="IFCP" D
- ...S $P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,11)=$P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,11)+1
- ...S:",3,4,5,6,8,9,11,99,"[(","_STAT_",") $P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,12)=$P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,12)+1
- ..I TYPE="IFCF" D
- ...S $P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,17)=$P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,17)+1
- ...S:",3,4,5,6,8,9,11,99,"[(","_STAT_",") $P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,18)=$P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,18)+1
- Q
-REQTYPE  ;If the request is being requested and performed locally, this field will be blank; Placer done elsewhere, Filler done locally
- I $P(^GMR(123,$G(GMRCPT),0),U,23)="" S TYPE="LOCAL" Q
- I $P(^GMR(123,$G(GMRCPT),0),U,23)'=""&($P($G(^GMR(123,GMRCPT,12)),U,5)="P") S TYPE="IFCP" Q
- I $P(^GMR(123,$G(GMRCPT),0),U,23)'=""&($P($G(^GMR(123,GMRCPT,12)),U,5)="F") S TYPE="IFCF" Q
- Q
-EXCLUDE ;exclude these request types from the count
- N PROS
- ; Check for bad "AE" x-ref
- I '$D(^GMR(123,GMRCPT,0)) D  S FLG=1 Q
- .K ^GMR(123,"AE",GMRCSVC,STAT,GMRCXDT,GMRCPT)
- I $$TESTPAT^VADPT(+$P(^GMR(123,GMRCPT,0),U,2)) S FLG=1 Q  ; exclude test pats
- D  I $G(PROS) S FLG=1 Q
- .N SVC S SVC=$P(^GMR(123,GMRCPT,0),U,5)
- .I +$G(^GMR(123.5,SVC,"INT")) S PROS=1 ; exclude PROS consults
- I $P($G(^GMR(123,GMRCPT,0)),U,18)'="O" S FLG=1 Q  ; only getting outpat
- I $G(^GMR(123,GMRCPT,70))["Y" S FLG=1 Q  ; exclude admin requests
- Q
-CHKRNG ;check if request is complete within 30/60 days of Desired Date or Date of Request
- N DTOR,DTCMPL S DTOR="",DTCMPL=""
- Q:'$O(^GMR(123,+$G(GMRCPT),50,0))&('$O(^GMR(123,+$G(GMRCPT),51,0)))
- I $D(^GMR(123,+$G(GMRCPT),60))=1 S DTOR=$P(^GMR(123,+$G(GMRCPT),60),U,1) ;check for desired date CPRS GUI v28
- S:$G(DTOR)="" DTOR=$P(^GMR(123,+$G(GMRCPT),0),U,7)
- ; if request is completed and has results, was it completed within 30 or 60 days of the Date of Request, field 3 in 123 [0;7]
- ;order through activity multiple (40) and find the entry for completed 40, [0:2] - value of 10 is complete/update
- N CHK S CHK=0
- F  S CHK=$O(^GMR(123,+$G(GMRCPT),40,CHK)) Q:CHK="B"  D
- .;get the date/time of completion 40, [0;3]
- .I $D(^GMR(123,+$G(GMRCPT),40,CHK,0)) S:($P(^GMR(123,GMRCPT,40,CHK,0),U,2)=10) DTCMPL=$P(^GMR(123,GMRCPT,40,CHK,0),U,3)
- I $G(DTCMPL) D
- .I (STR="30")&(DTCMPL<=$$FMADD^XLFDT(DTOR,30)) D
- ..S:TYPE="LOCAL" $P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,3)=+$P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,3)+1
- ..S:TYPE="IFCP" $P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,9)=+$P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,9)+1
- ..S:TYPE="IFCF" $P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,15)=+$P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,15)+1
- .I STR'="30"&(DTCMPL<=$$FMADD^XLFDT(DTOR,60))&(DTCMPL>$$FMADD^XLFDT(DTOR,30)) D
- ..S:TYPE="LOCAL" $P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,4)=+$P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,4)+1
- ..S:TYPE="IFCP" $P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,10)=+$P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,10)+1
- ..S:TYPE="IFCF" $P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,16)=+$P(^TMP("GMRCT",$J,1,GMRCSVC,"DATA"),U,16)+1
- Q
Index: FOIAVistA/tag/r/CONSULT_REQUEST_TRACKING-GMRC-GMRS-GMRT/GMRCYP57.m
===================================================================
--- FOIAVistA/trunk/r/CONSULT_REQUEST_TRACKING-GMRC-GMRS-GMRT/GMRCYP57.m	(revision 631)
+++ FOIAVistA/tag/r/CONSULT_REQUEST_TRACKING-GMRC-GMRS-GMRT/GMRCYP57.m	(revision 636)
@@ -1,3 +1,3 @@
-GMRCYP57 ;BP/WAT - POST INSTALL FOR GMRC*3*57 ;JUL 24, 2007 0830
+GMRCYP57 ;BP/WAT - POST INSTALL FOR GMRC*3*57 ;10:07 AM  1 Jan 2008
  ;;3.0;CONSULT/REQUEST TRACKING;**57**;DEC 27, 1997;Build 10
  ;
@@ -22,5 +22,5 @@
  S ERRMSG(3)="CONFIRM FILE ENTRY AND RE-INSTALL"
  S ERRMSG(4)="IF STILL UNSUCCESSFUL, CONTACT VA NAT'L HELP DESK OR SUBMIT REMEDY TICKET"
- S STAIEN=$$LKUP^XUAF4(528) ;return IEN from INSTITUTION file for this station number
+ S STAIEN=$$LKUP^XUAF4(528)
  I 'STAIEN D BMES^XPDUTL(ERRMSG)
  Q:'STAIEN
Index: FOIAVistA/tag/r/CONTROLLED_SUBSTANCES-PSD/PSDACT1.m
===================================================================
--- FOIAVistA/trunk/r/CONTROLLED_SUBSTANCES-PSD/PSDACT1.m	(revision 631)
+++ FOIAVistA/tag/r/CONTROLLED_SUBSTANCES-PSD/PSDACT1.m	(revision 636)
@@ -1,4 +1,4 @@
 PSDACT1 ;BIR/JPW,BJW-Print Daily Activity Log (cont'd) ; 17 Jun 98
- ;;3.0; CONTROLLED SUBSTANCES ;**10,14,30,65**;13 Feb 97;Build 5
+ ;;3.0; CONTROLLED SUBSTANCES ;**10,14,30**;13 Feb 97
  ;Reference to ^PRC(442 supported by IA #682
  ;Reference to ^PRCS(410 supported by IA #198
@@ -96,5 +96,4 @@
 T14 S NUM="GS # ",TEXT="EDIT VERIFIED ORDER"
  I +$P(NODE,"^",17) S NUM=NUM_$P(NODE,"^",17)
- S:$D(^PSD(58.81,PSDA,8)) TEXT="EDIT VERIFIED INVOICE",NUM=$P(^PSD(58.81,PSDA,8),"^",1) ; <*65-RJS>
  S QTY=$P(^PSD(58.81,PSDA,4),"^",4),BFWD=$P(^(4),"^",7)
  Q
Index: FOIAVistA/tag/r/CONTROLLED_SUBSTANCES-PSD/PSDNRGS.m
===================================================================
--- FOIAVistA/trunk/r/CONTROLLED_SUBSTANCES-PSD/PSDNRGS.m	(revision 631)
+++ FOIAVistA/tag/r/CONTROLLED_SUBSTANCES-PSD/PSDNRGS.m	(revision 636)
@@ -1,4 +1,4 @@
 PSDNRGS ;BIR/JPW-Receive Green Sheet for NAOU ; 6 Jan 94
- ;;3.0; CONTROLLED SUBSTANCES ;**56,66,65**;13 Feb 97;Build 5
+ ;;3.0; CONTROLLED SUBSTANCES ;**56,66**;13 Feb 97;Build 3
  I '$D(PSDSITE) D ^PSDSET Q:'$D(PSDSITE)
  S OK=$S($D(^XUSEC("PSJ RNURSE",DUZ)):1,$D(^XUSEC("PSD NURSE",DUZ)):1,$D(^XUSEC("PSJ RPHARM",DUZ)):2,$D(^XUSEC("PSJ PHARM TECH",DUZ)):2,1:0)
@@ -18,20 +18,17 @@
 ORD S STAT=+$P(Y(0),"^",11),PSDPN=$P(Y(0),"^",17),STATN="" I STAT S STATN=$P($G(^PSD(58.82,STAT,0)),"^")
  S ORD=+$P(Y(0),"^",20),NAOU=+$P(Y(0),"^",18),NAOUN=$P($G(^PSD(58.8,NAOU,0)),"^"),PSDR=+$P(Y(0),"^",5),PSDRN=$P($G(^PSDRUG(PSDR,0)),"^"),QTY=+$P(Y(0),"^",6)
- ; >> RJS - *65
- L +^PSD(58.81,PSDA):$S($G(DILOCKTM)>0:DILOCKTM,1:3)
- I '$T W !,"The Green Sheet # ",PSDPN," is currently in use by another user",!,"Please select another Green Sheet.",! G GS
  I $D(^PSD(58.81,PSDA,4)),+$P(^(4),"^",3) S QTY=$P(^(4),"^",3)
- I AOU'=NAOU W $C(7),!!,"The Green Sheet # ",PSDPN," is assigned to ",NAOUN,".",!,"Please select another Green Sheet.",! L -^PSD(58.81,PSDA) G GS  ; <RJS - *65
- I '$D(^PSD(58.8,NAOU,1,PSDR,3,ORD,0)) W $C(7),!!,"There's no data on ",NAOUN," for Green Sheet # ",PSDPN,".",!,"Contact your Pharmacy Coordinator for assistance.",! L -^PSD(58.81,PSDA) G END  ; <RJS - *65
- I STAT'=3 W $C(7),!!,"This Green Sheet has a status of "_$S(STATN]"":STATN,1:"UNKNOWN")_".",!,"Please select another Green Sheet.",! L -^PSD(58.81,PSDA) G GS  ; RJS - *65
+ I AOU'=NAOU W $C(7),!!,"The Green Sheet # ",PSDPN," is assigned to ",NAOUN,".",!,"Please select another Green Sheet.",! G GS
+ I '$D(^PSD(58.8,NAOU,1,PSDR,3,ORD,0)) W $C(7),!!,"There's no data on ",NAOUN," for Green Sheet # ",PSDPN,".",!,"Contact your Pharmacy Coordinator for assistance.",! G END
+ I STAT'=3 W $C(7),!!,"This Green Sheet has a status of "_$S(STATN]"":STATN,1:"UNKNOWN")_".",!,"Please select another Green Sheet.",! G GS
  D NOW^%DTC S (RECD,Y)=+$E(%,1,12) X ^DD("DD") S RECDT=Y
 REC ;receive at order level in 58.8
  W !!,"Accessing ",PSDRN," information...",!!
- K DA,DIR,DIRUT S DIR(0)="58.81,27",DIR("B")=QTY D ^DIR K DIR I $D(DIRUT) W !!,"Quantity not entered.  No action taken.",!,"This order remains ",STATN,!! L -^PSD(58.81,PSDA) G END  ; < RJS - *65
- S RQTY=Y I RQTY'=QTY W $C(7),!!,"The quantity received does not match the quantity dispensed.",!,"This order must be returned to pharmacy for investigation.",!! L -^PSD(58.81,PSDA) G GS  ;< RJS - *65
+ K DA,DIR,DIRUT S DIR(0)="58.81,27",DIR("B")=QTY D ^DIR K DIR I $D(DIRUT) W !!,"Quantity not entered.  No action taken.",!,"This order remains ",STATN,!! G END
+ S RQTY=Y I RQTY'=QTY W $C(7),!!,"The quantity received does not match the quantity dispensed.",!,"This order must be returned to pharmacy for investigation.",!! G GS
  K DA,DIE,DR S DA=ORD,DA(1)=PSDR,DA(2)=NAOU
  S DIE="^PSD(58.8,"_DA(2)_",1,"_DA(1)_",3,"
  S DR=$S(OK=1:"6////"_PSDUZ,1:"6RECEIVED BY NURSE")_";20////"_QTY_";15////"_RECD_";10////4;22////"_$P($G(^PSD(58.8,NAOU,1,PSDR,0)),U,4)_";25////"_$P($G(^PSD(58.8,NAOU,1,PSDR,0)),U,4) D ^DIE K DA,DIE,DR
- I ($D(Y))!($D(DTOUT)) W $C(7),!!,"*** THIS ORDER HAS NOT BEEN RECEIVED ***",!,"Receiving nurses name must be entered.",!!,"The status remains "_STATN,! L -^PSD(58.81,PSDA) G END  ;< RJS - *65
+ I ($D(Y))!($D(DTOUT)) W $C(7),!!,"*** THIS ORDER HAS NOT BEEN RECEIVED ***",!,"Receiving nurses name must be entered.",!!,"The status remains "_STATN,! G END
 UPDATE ;update 58.8 and 58.81
  ;updating drug balance in 58.8
@@ -51,5 +48,4 @@
  W "done.",!!
  S STAT=$P($G(^PSD(58.81,PSDA,0)),"^",11) W ?5,"*** Your Green Sheet #"_PSDPN_" is now "_$S($P($G(^PSD(58.82,STAT,0)),"^")]"":$P(^(0),"^"),1:"UNKNOWN")_" ***",!
- L -^PSD(58.81,PSDA)  ;< RJS - *65
  G GS
 END K %,%DT,%H,%I,AOU,AOUN,D,DA,DIC,DIE,DR,DTOUT,DUOUT
Index: FOIAVistA/tag/r/CONTROLLED_SUBSTANCES-PSD/PSDSITE.m
===================================================================
--- FOIAVistA/trunk/r/CONTROLLED_SUBSTANCES-PSD/PSDSITE.m	(revision 631)
+++ FOIAVistA/tag/r/CONTROLLED_SUBSTANCES-PSD/PSDSITE.m	(revision 636)
@@ -1,6 +1,6 @@
 PSDSITE ;BIR/JPW,LTL-Site Parameters for CS ; 3 May 95
- ;;3.0; CONTROLLED SUBSTANCES ;**65**;13 Feb 97;Build 5
+ ;;3.0; CONTROLLED SUBSTANCES ;;13 Feb 97
 SITE ;entry for selecting inpatient sites in file 59.4
- K DIC,DLAYGO S DIC="^PS(59.4,",DLAYGO=59.4,DIC(0)="QEAL",D="B",DZ="??"
+ K DIC,DLAYGO S (DIC,DLAYGO)="^PS(59.4,",DIC(0)="QEAL",D="B",DZ="??"
  D DQ^DICQ K D,DZ W ! D ^DIC K DIC G:Y<0 END
  K DA,DIE,DR S DIE=59.4,DA=+Y,DR="31"_"Is "_$P(Y,U,2)_" selectable for Controlled Subs" W ! D ^DIE K DIE
Index: FOIAVistA/tag/r/CPT_HCPCS_CODES-ICPT-DGYA/DGYACPT.m
===================================================================
--- FOIAVistA/trunk/r/CPT_HCPCS_CODES-ICPT-DGYA/DGYACPT.m	(revision 631)
+++ FOIAVistA/tag/r/CPT_HCPCS_CODES-ICPT-DGYA/DGYACPT.m	(revision 636)
@@ -1,4 +1,4 @@
 DGYACPT ;ALB/ABR - CPT Utilities ;3/15/97
- ;;6.0;CPT/HCPCS;;May 19, 1997
+ ;;6.0;CPT/HCPCS;;May 19, 1997;Build 1
  ;
  ;    ************************************************
Index: FOIAVistA/tag/r/CPT_HCPCS_CODES-ICPT-DGYA/ICPTAPIU.m
===================================================================
--- FOIAVistA/trunk/r/CPT_HCPCS_CODES-ICPT-DGYA/ICPTAPIU.m	(revision 631)
+++ FOIAVistA/tag/r/CPT_HCPCS_CODES-ICPT-DGYA/ICPTAPIU.m	(revision 636)
@@ -1,4 +1,4 @@
 ICPTAPIU  ;ALB/DEK/KER - CPT UTILITIES FOR APIS ; 04/18/2004
- ;;6.0;CPT/HCPCS;**1,6,12,14,16,19,22**;May 19, 1997
+ ;;6.0;CPT/HCPCS;**1,6,12,14,16,19,22**;May 19, 1997;Build 1
  ;
  ; External References
Index: FOIAVistA/tag/r/CPT_HCPCS_CODES-ICPT-DGYA/ICPTCOD.m
===================================================================
--- FOIAVistA/trunk/r/CPT_HCPCS_CODES-ICPT-DGYA/ICPTCOD.m	(revision 631)
+++ FOIAVistA/tag/r/CPT_HCPCS_CODES-ICPT-DGYA/ICPTCOD.m	(revision 636)
@@ -1,4 +1,4 @@
-ICPTCOD ;ALB/DEK/KER - CPT CODE APIS ;11/29/2007
- ;;6.0;CPT/HCPCS;**6,12,13,14,16,19,40**;May 19, 1997;Build 6
+ICPTCOD ;ALB/DEK/KER - CPT CODE APIS ; 04/18/2004
+ ;;6.0;CPT/HCPCS;**6,12,13,14,16,19**;May 19, 1997;Build 1
  ;
  ; External References
@@ -127,7 +127,5 @@
  .S ER="" F  S ER=$O(^DIC(81.3,"M",BR,ER)) Q:'ER  I CODA'>ER D
  ..S MI=0 F  S MI=$O(^DIC(81.3,"M",BR,ER,MI)) Q:'MI  D
- ...N MDPS
  ...S MDST=$G(^DIC(81.3,MI,0)) Q:'$L(MDST)
- ...S MDPS=$$MODP^ICPTMOD(CODE,+MI,"I",$G(CDT),$G(SRC)) Q:+MDPS'>0
  ...I '$G(SRC) Q:$P(MDST,"^",4)="V"
  ...I $G(CDT) S ACTMD="",ACTMD=$$MOD^ICPTMOD(MI,"I",CDT,$G(SRC)) Q:($P(ACTMD,"^")=-1)!($P(ACTMD,"^",7)=0)
Index: FOIAVistA/tag/r/CPT_HCPCS_CODES-ICPT-DGYA/ICPTCR.m
===================================================================
--- FOIAVistA/trunk/r/CPT_HCPCS_CODES-ICPT-DGYA/ICPTCR.m	(revision 631)
+++ FOIAVistA/tag/r/CPT_HCPCS_CODES-ICPT-DGYA/ICPTCR.m	(revision 636)
@@ -1,4 +1,4 @@
 ICPTCR ;ALB/ABR - MUMPS CROSS REFERENCE ROUTINE ; 3/10/97
- ;;6.0;CPT/HCPCS;;May 19, 1997
+ ;;6.0;CPT/HCPCS;;May 19, 1997;Build 1
  ;
  ;  VARIABLES
Index: FOIAVistA/tag/r/CPT_HCPCS_CODES-ICPT-DGYA/ICPTID.m
===================================================================
--- FOIAVistA/trunk/r/CPT_HCPCS_CODES-ICPT-DGYA/ICPTID.m	(revision 631)
+++ FOIAVistA/tag/r/CPT_HCPCS_CODES-ICPT-DGYA/ICPTID.m	(revision 636)
@@ -1,4 +1,4 @@
 ICPTID ;SLC/KER - CPT IDENTIFIERS ; 04/18/2004
- ;;6.0;CPT/HCPCS;**19**;May 19, 1997
+ ;;6.0;CPT/HCPCS;**19**;May 19, 1997;Build 1
  ;
  ; External References
Index: FOIAVistA/tag/r/CPT_HCPCS_CODES-ICPT-DGYA/ICPTIDX.m
===================================================================
--- FOIAVistA/trunk/r/CPT_HCPCS_CODES-ICPT-DGYA/ICPTIDX.m	(revision 631)
+++ FOIAVistA/tag/r/CPT_HCPCS_CODES-ICPT-DGYA/ICPTIDX.m	(revision 636)
@@ -1,4 +1,4 @@
 ICPTIDX ;DLS/DEK - MUMPS Cross Reference Routine for History ; 04/28/2003
- ;;6.0;CPT/HCPCS;**14**;May 19, 1997
+ ;;6.0;CPT/HCPCS;**14**;May 19, 1997;Build 1
  ;
  ; ICPTCOD          CPT/HCPC Code from Global
Index: FOIAVistA/tag/r/CPT_HCPCS_CODES-ICPT-DGYA/ICPTMIDX.m
===================================================================
--- FOIAVistA/trunk/r/CPT_HCPCS_CODES-ICPT-DGYA/ICPTMIDX.m	(revision 631)
+++ FOIAVistA/tag/r/CPT_HCPCS_CODES-ICPT-DGYA/ICPTMIDX.m	(revision 636)
@@ -1,4 +1,4 @@
 ICPTMIDX ;DLS/DEK - MUMPS Cross Reference Routine for History ; 04/28/2003
- ;;6.0;CPT/HCPCS;**14**;May 19, 1997
+ ;;6.0;CPT/HCPCS;**14**;May 19, 1997;Build 1
  ;
  ; ICPTMOD          CPT/HCPC Code Modifier from Global
